﻿@model IEnumerable<WebAPP_com_Razor.Models.Pessoa>

@* @{
        //1a opção com ViewData.
        //List<WebAPP_com_Razor.Models.Pessoa> lista =
        //    (List<WebAPP_com_Razor.Models.Pessoa>)ViewData["listaDePessoas"];

        //2a opção com ViewBag.
        //List<WebAPP_com_Razor.Models.Pessoa> lista = ViewBag.nomeDalista;

        //3a opção com Model.
        //List<WebAPP_com_Razor.Models.Pessoa> lista = Model;

        //4a opção com Model (fracamente tipada)
        //var lista = Model;
    }*@

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Index</title>
</head>
<body>
    <div> 
        <h1>Introdução ao Razor</h1>
        @foreach (var p in Model)
        {
            <br/>
            @p.Nome<br/>
            @p.Idade<br/>
            if (p.Idade > 18)
            {
                @* Este é apenas um comentário  *@
                @: Maior de Idade
            }
            else
            {
                <text>Menor de Idade</text>
            } 
        }
    </div>
</body>
</html>
